你在项目里面还没有用Swift的主要原因是什么?

tinyfool 发布于 2016年01月18日
无人欣赏。
  1. 因为担心Swift语法还会大变?
  2. 担心Swift的程序还不稳定?
  3. 担心库可能会重写?
  4. 担心招不到人?
  5. 没有办法支持老操作系统?

共5条回复
CALLPLA 回复于 2016年01月18日

目前Apple 自己的App里,也只有日历完整用Swift,WWDC也只有2个类用Swift。

自己这边,去年做了一个外包项目,需要做成库集成到客户的App里,需要支持iOS6.0。 这种情况下,用Swift更不现实。

尼克徐 回复于 2016年01月18日

1楼 @CALLPLA

同意,有些第三方控件无法与Swift共存,而开发方还没有意向升级

morpheus1984 回复于 2016年01月23日

swift 开发商业化项目没什么问题了。一些公司的新项目都在采用了。

小公司招人的话,估计是个问题。

hrong 回复于 2016年01月24日

1楼 @CALLPLA 没有依赖其它老版本库的情况下,swift编译出来的代码也无法向下兼容?

jokester 回复于 2016年03月02日

target能到iOS7.0, 大多数时候够用

语法比objc省事太多了...光为了optional都值得用

登录 或者 注册
最新帖子